ur_rna.Utilities

## Class Convert

- java.lang.Object
- - ur_rna.Utilities.Convert

-     public class Convert
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Convert()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.RuntimeException` | `createConvertException(java.lang.Object val, java.lang.Class target)`
    `static java.lang.String` | `globToRegex(java.lang.String pattern)` Converts a standard POSIX Shell globbing pattern into a regular expression pattern.
    `static boolean` | `toBool(java.lang.Object obj)`
    `static boolean` | `toBool(java.lang.Object obj, boolean defaultIfNullOrEmpty)`
    `static boolean` | `toBool(java.lang.String s)`
    `static char` | `toChar(java.lang.Object value)`
    `static char` | `toChar(java.lang.Object value, char defaultValue)`
    `static char` | `toChar(java.lang.Object value, char defaultValue, boolean strict)`
    `static java.awt.Color` | `toColor(java.lang.Object value)`
    `static java.awt.Color` | `toColor(java.lang.Object value, java.awt.Color defaultValue)`
    `static java.awt.Color` | `toColor(java.lang.Object value, java.awt.Color defaultValue, boolean strict)`
    `static double` | `toDouble(java.lang.Object value)`
    `static double` | `toDouble(java.lang.Object value, double defaultValue)`
    `static double` | `toDouble(java.lang.Object value, double defaultValue, boolean strict)`
    `static float` | `toFloat(java.lang.Object value)`
    `static float` | `toFloat(java.lang.Object value, float defaultValue)`
    `static float` | `toFloat(java.lang.Object value, float defaultValue, boolean strict)`
    `static java.awt.Font` | `toFont(java.lang.Object value)`
    `static java.awt.Font` | `toFont(java.lang.Object value, java.awt.Font defaultValue)`
    `static java.awt.Font` | `toFont(java.lang.Object value, java.awt.Font defaultValue, boolean strict)`
    `static int` | `toInt(java.lang.Object value)`
    `static int` | `toInt(java.lang.Object value, int defaultValue)`
    `static int` | `toInt(java.lang.Object value, int defaultValue, boolean strict)`
    `static java.lang.String` | `toString(java.lang.Object value)`
    `static java.lang.String` | `toString(java.lang.Object value, java.lang.String valueIfNull)`
    `static java.lang.Object` | `toType(java.lang.Object value, java.lang.Class targetType)`
    `static <T> T` | `toType(java.lang.Object value, T defaultValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Convert

          private Convert()

  - ### Method Detail

    - #### createConvertException

          protected static java.lang.RuntimeException createConvertException(java.lang.Object val,
                                                                             java.lang.Class target)

    - #### globToRegex

          public static java.lang.String globToRegex(java.lang.String pattern)

      Converts a standard POSIX Shell globbing pattern into a regular expression pattern. The result can be used with the standard `java.util.regex` API to recognize strings which match the glob pattern.

      See also, the POSIX Shell language: http://pubs.opengroup.org/onlinepubs/009695399/utilities/xcu_chap02.html#tag_02_13_01 By: Neil Traft - http://stackoverflow.com/questions/1247772/is-there-an-equivalent-of-java-util-regex-for-glob-type-patterns

      Parameters:
        `pattern` - A glob pattern.
      Returns:
        A regex pattern to recognize the given glob pattern.

    - #### toBool

          public static boolean toBool(java.lang.Object obj)

    - #### toBool

          public static boolean toBool(java.lang.Object obj,
                                       boolean defaultIfNullOrEmpty)

    - #### toBool

          public static boolean toBool(java.lang.String s)

    - #### toChar

          public static char toChar(java.lang.Object value)

    - #### toChar

          public static char toChar(java.lang.Object value,
                                    char defaultValue)

    - #### toChar

          public static char toChar(java.lang.Object value,
                                    char defaultValue,
                                    boolean strict)

    - #### toColor

          public static java.awt.Color toColor(java.lang.Object value)

    - #### toColor

          public static java.awt.Color toColor(java.lang.Object value,
                                               java.awt.Color defaultValue)

    - #### toColor

          public static java.awt.Color toColor(java.lang.Object value,
                                               java.awt.Color defaultValue,
                                               boolean strict)

    - #### toDouble

          public static double toDouble(java.lang.Object value)

    - #### toDouble

          public static double toDouble(java.lang.Object value,
                                        double defaultValue)

    - #### toDouble

          public static double toDouble(java.lang.Object value,
                                        double defaultValue,
                                        boolean strict)

    - #### toFloat

          public static float toFloat(java.lang.Object value)

    - #### toFloat

          public static float toFloat(java.lang.Object value,
                                      float defaultValue)

    - #### toFloat

          public static float toFloat(java.lang.Object value,
                                      float defaultValue,
                                      boolean strict)

    - #### toFont

          public static java.awt.Font toFont(java.lang.Object value)

    - #### toFont

          public static java.awt.Font toFont(java.lang.Object value,
                                             java.awt.Font defaultValue)

    - #### toFont

          public static java.awt.Font toFont(java.lang.Object value,
                                             java.awt.Font defaultValue,
                                             boolean strict)

    - #### toInt

          public static int toInt(java.lang.Object value)

    - #### toInt

          public static int toInt(java.lang.Object value,
                                  int defaultValue)

    - #### toInt

          public static int toInt(java.lang.Object value,
                                  int defaultValue,
                                  boolean strict)

    - #### toString

          public static java.lang.String toString(java.lang.Object value)

    - #### toString

          public static java.lang.String toString(java.lang.Object value,
                                                  java.lang.String valueIfNull)

    - #### toType

          public static java.lang.Object toType(java.lang.Object value,
                                                java.lang.Class targetType)

    - #### toType

          public static <T> T toType(java.lang.Object value,
                                     @NotNull
                                     T defaultValue)